/*
 * NoReorganization.h
 *
 *  Created on: 2009-11-10
 *      Author: kapela
 */

#ifndef _CAPD_DYNSET_NOREORGANIZATION_H_
#define _CAPD_DYNSET_NOREORGANIZATION_H_

namespace capd{
namespace dynset{

template <typename SetT>
class NoReorganization  {

public:
  typedef SetT SetType;
  typedef typename SetType::MatrixType MatrixType;
  typedef typename MatrixType::RowVectorType VectorType;
  typedef typename MatrixType::ScalarType ScalarType;
 // typedef typename ScalarType::BoundType BoundType;

  NoReorganization(double factor=0.0){}

  void reorganize(SetType & result) const{
  }

  bool isReorganizationNeeded(const SetType & result) const{
    return false;
  }
  bool reorganizeIfNeeded(SetType & result) const{
    return false;
  }
  void setFactor(double factor) {
  }
  double getFactor() const {
    return 0.0;
  }
  void disableSwapping(){
  }
  void disableReorganization(){
  }
  std::string name() const{
      return "no reorganization";
  }
  std::string toString() const {
       return "";
  }
};

}
}

#endif /* _CAPD_DYNSET_NOREORGANIZATION_H_ */
