#include <iostream>

#include "textfile.h"
#include "timeused.h"

#include "typedefs.h"
#include "choreoExist.h"


int main()
{
    program_time = 0 ;

   try{

     timeused timeMeter;

     scon.logfile("consoleOutput.txt");
     sout.logfile("report3.txt");

     double x[] = {
       1.076143733510925,    0.0,                  0.0,                  0.4682662184090647,
      -0.5380718667554619,  -0.3437068277582447, -1.099603752075198,   -0.2341331092045306,
       1., 1., 1., 1.};
           // last body position is not important

     int numberOfBodies = 3;
     int nDiv = 1;
     Interval time = Interval(M_2PI/(double)numberOfBodies);
     
     sout << "\n time =" << time;
 
     //FloatVector x0 = loadData("3bodies.nbp", numberOfBodies);
     FloatVector x0  = loadData(x, numberOfBodies, nDiv);
     
     //double size = 1.e-10;
     double size = 1.e-8;

     int order = 10,
         Xorder = 8;

     double step = 1./128.,
            Xstep = 1./1024.;


     ProveChoreographyExistence(x0, size, numberOfBodies, nDiv, time, order, step , Xorder, Xstep);

     sout << "\n\n Time used : " << timeMeter << ".\n";
     return 0;
   }
   catch(std::exception &e)
   {
      sout << e.what();
      return 1;
   }
}
