
#ifndef _PARALLEL_SHOOTING_H_
#define _PARALLEL_SHOOTING_H_

#include "typedefs.h"

///////////////////////////////////////////////////////////////////////////
// splitTrajectory
///
/// Computes intermidiate configurations needed for parallel shooting
///
/// @param[in] A_x           initial configuration of bodies
/// @param[in] A_nBodies     number of bodies
/// @param[in] A_nDiv        number of configuration 
/// @param[in] A_time        time step between consequtive confiturations
/// @param[in] A_step        time step used during simulations
/// @param[in] A_order       order of Taylor method used for computations
/// 
/// @returns nDiv configurations in one vector (one after another)
///
////////////////////////////////////////////////////////////////////////////

FloatVector splitTrajectory (FloatVector A_x,
                             int A_nBodies,
                             int A_nDiv,
                             ScalarType A_time,
                             ScalarType A_step,
                             int A_order);

#endif //_PARALLEL_SHOOTING_H_
